# OSGeo::FDO::Xml::XmlFeatureFlags Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlFeatureFlags:

[legend]

List of all members.

## Detailed Description

XmlFeatureFlags extends XmlFlags to specify flags specific to feature serialization.

()

Remarks:
  The Error Levels inherited from XmlFlags take on the following meaning when applied to features. Suppose we have GML Document A that conforms to GML Schema A. If Document A is read into FDO and then written to Document B then the Error Levels applied to the Document A read have the following meaning:
  - ErrorLevel_High: Document B will be structurally identical to Document A. Errors are issued if this cannot be guaranteed. Document B will have the exact same elements and attributes as Document A.
  - ErrorLevel_Normal: There is no information loss. Document B contains all of the information from Document A and Document B conforms to Schema A. Errors are issued if this cannot be guaranteed. However, Documents A and B might not look exactly alike; some Document A elements may have an equivalent but different structure in Document B.
  - ErrorLevel_Low: There can be information loss. Document B is a subset of Document A but still conforms to Schema A. Errors are issued if this cannot be guaranteed. Any Document A elements, not recognized by FDO, are discarded on read.
  - ErrorLevel_VeryLow: FDO does a best effort read of Document A and write of Document B. There is no guarantee that Document B will look anything like Document A or that Document B will conform to Schema A.

The above assumes that FDO is not provided the GML form of Schema A when writing Document B. For example, supposed that FDO can write a Schema A conformant Document B only when supplied the GML version of Schema A. FDO will still generate errors and fail to read Document A under ErrorLevel_Low.

## Public Types
enum | ConflictOption { ConflictOption_Add = FdoXmlFeatureFlags::ConflictOption_Add, ConflictOption_Update = FdoXmlFeatureFlags::ConflictOption_Update, ConflictOption_Skip = FdoXmlFeatureFlags::ConflictOption_Skip }
| The XmlFeatureFlags::ConflictOption specifies how to handle features that are already in the DataStore, when Deserializing:. More...
## Public Member Functions
__property System::String * | get_CollectionName ()
| Gets the feature collection element name.
__property System::String * | get_CollectionUri ()
| Gets the feature collection element URI.
__property OSGeo::FDO::Xml::XmlFeatureFlags::ConflictOption | get_Conflictoption ()
| Get the current option for handling feature already in the connection datastore.
__property System::String * | get_DefaultNamespace ()
| Gets the default namespace.
__property System::String * | get_GmlIdPrefix ()
| Gets the current GML ID prefix.
__property System::String * | get_MemberName ()
| Gets the feature member element name.
__property System::String * | get_MemberUri ()
| Gets the feature member element URI.
__property OSGeo::FDO::Common::StringCollection * | get_Namespaces ()
| Gets all namespaces that have been set for schemaLocation by SetSchemaLocation().
__property System::String * | get_SchemaLocation (System::String *schemaNamespace)
| Gets the schema location for the specified namespace.
__property System::Boolean | get_WriteCollection ()
| Gets the write feature collection flag.
__property System::Boolean | get_WriteMember ()
| Gets the write feature member flag.
__property System::Void | set_CollectionName (System::String *name)
| Sets the name for the feature collection element to wrap around serialized features. The initial value is 'FeatureCollection'.
__property System::Void | set_CollectionUri (System::String *uri)
| Sets the URI for the feature collection element to wrap around serialized features. The initial value is 'http://www.opengis.net/gml'.
__property System::Void | set_Conflictoption (OSGeo::FDO::Xml::XmlFeatureFlags::ConflictOption conflictOption)
| Sets the current option for handling features already in the connection datastore.
__property System::Void | set_DefaultNamespace (System::String *defaultNamespace)
| Sets the default namespace which defines all feature/object types found in the input feature reader which is to be serialized. The user is also supposed to set the schema location for this namespace.
__property System::Void | set_GmlIdPrefix (System::String *prefix)
| Sets the GML ID prefix for writing features. This prefix is prepended to the gml:id value for each feature. When features from different FDO Datastores are serialized to the same GML document, it is recommended that a different GML ID prefix be used for each Datastore, to ensure that the gml:id values in the GML document are unique. The initial value is L"" (no prefix).
__property System::Void | set_MemberName (System::String *name)
| Sets the name for the feature member element to wrap around each serialized feature. The initial value is 'featureMember'.
__property System::Void | set_MemberUri (System::String *uri)
| Sets the URI for the feature member element to wrap around each serialized feature. The initial value is 'http://www.opengis.net/gml'.
__property System::Void | set_SchemaLocation (System::String *schemaNamespace, System::String *schemaLocation)
| Sets the schema locations for writing features. The output GML must have schema definition for all its referenced namespaces, e.g, gml namespace, wfs namespace, user defined namespace. There are default values for gml namespace schema location and wfs namespace schema location, so the user doesn't need to set locations for those two namespaces. But the user can still set values to override the default values. The user could call this function multiple times to set schema location for multiple namespace.
__property System::Void | set_WriteCollection (System::Boolean writeMember)
| Sets the write feature collection flag. This flag is initially set to true.
__property System::Void | set_WriteMember (System::Boolean writeMember)
| Sets the write feature member flag. This flag is initially set to true.
| XmlFeatureFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel, System::Boolean nameAdjust, OSGeo::FDO::Xml::XmlFeatureFlags::ConflictOption conflictOption)
| Constructs an XmlFeatureFlags object.
| XmlFeatureFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel, System::Boolean nameAdjust)
| Constructs an XmlFeatureFlags object.
| XmlFeatureFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel)
| Constructs an XmlFeatureFlags object.
| XmlFeatureFlags (System::String *location)
| Constructs an XmlFeatureFlags object.
| XmlFeatureFlags ()
| Constructs an XmlFeatureFlags object.